<ion-header>

  <ion-navbar color="bluegreen">
    <ion-title>slots</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <form #SlotFillingForm="ngForm">

    <p color="light">Available Slots Are</p>

    <span *ngFor="let DT of DailyTimeList">

      <button [disabled]="!DT.status" ion-button class="first-input" (click)="selectTimeSlot(DT.time)">{{DT.time}}</button>
    </span>



    <br>
    <br>
    <br>
    <div>
      <ion-item>
        <ion-label floating color="bluegreen">Patient Name</ion-label>
        <ion-input required type="text" name="patientname" [(ngModel)]="Data.patientname"></ion-input>
      </ion-item>
    </div>
    <div>
      <ion-item>
        <ion-label floating color="bluegreen">Age</ion-label>
        <ion-input  type="number" maxlength="2"></ion-input>
      </ion-item>
    </div>

    <div>
      <ion-item>
        <ion-label floating color="bluegreen">Gender</ion-label>
        <ion-select required interface="popover" name="sex" [(ngModel)]="gender">
          <ion-option value="m">Male</ion-option>
          <ion-option value="f">Female</ion-option>
        </ion-select>
      </ion-item>
    </div>
    <br>
    <br>
    <ion-row>
      <button ion-button round (click)="submit()" [disabled]="SlotFillingForm.invalid" class="booking-button">Book Now</button>
    </ion-row>
  </form>
</ion-content>